
#include <string.h>
#include <stdio.h>
#ifdef MBTYPES_DEBUG
#if defined(CONFIG_E90S) || defined(CONFIG_E90)
#include </home/rev/V33-v9/arch/sparc/include/asm/bootinfo.h>
#else
#include </home/rev/V33-v9/arch/e2k/include/asm/bootinfo.h>
#endif
#else /* MBTYPES_DEBUG */
#include </usr/include/asm/bootinfo.h>
#endif




int main(void)
{
	int i;
	char *nm;

	printf("CPU types:\n");
	for (i = CPU_TYPE_MIN; i < CPU_TYPE_MAX; i++) {
		nm = GET_CPU_TYPE_NAME(i);
		if (strstr(nm, "unknown")) {
			continue;
		}
		printf("     %3d\t%s\n", i, nm);
	}

	printf("\nMother Board types:\n");
	for (i = MB_TYPE_MIN; i < MB_TYPE_MAX; i++) {
		nm = GET_MB_TYPE_NAME(i);
		if (strstr(nm, "MACHINE")) {
			continue;
		}
		if (strstr(nm, "unknown")) {
			continue;
		}
		printf("     %3d\t%s", i, nm);
#ifdef GET_MB_USED_IN
		nm = GET_MB_USED_IN(i);
		if  (nm) {
			printf(";\tused in %s", nm);
		}
#endif
		printf("\n");
	}
	return 0;
}


